#!/bin/sh
# Mindtime Online Backup Pro Manager 5.5.8.0

#-------------------------------------------------------------------------------
# Required root priviledge to remove system service script
test "`id -u`" = "0" || echo "Required root priviledge to install." || exit 1

# ------------------------- Retrieve APP_HOME ----------------------------------

cd `dirname "$0"`
APP_BIN=`pwd`
APP_HOME=`dirname $APP_BIN`
UTIL_HOME=${APP_HOME}/util
AUA_HOME=$APP_HOME/aua

# ------------------------- Uninstall Procedure --------------------------------

# Print Logging Message Header
echo "Log Time: `date`"
echo "Uninstall Mindtime Online Backup Pro Manager from $APP_HOME"
echo ""

cd "$APP_BIN"
SCH_SCRIPT_NAME=obmscheduler

if [ -d "$APP_HOME/ipc/Scheduler" ];
then
  if [ -f "$APP_HOME/ipc/Scheduler/running" ];
  then
    echo "Shutting down Scheduler"
    touch "$APP_HOME/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
  fi
fi

# Remove Scheduler service file
echo "Removing Scheduler script $SCH_SCRIPT_NAME from service"
"$UTIL_HOME/bin/remove-service.sh" $SCH_SCRIPT_NAME

# ------------------------------------------------------------------------------
cd "$AUA_HOME/bin"
AUA_SCRIPT_NAME=obmaua

./shutdown.sh
echo "Wait 5 seconds before AutoUpdateAgent exits"

# Remove AutoUpdate service file
echo "Removing AutoUpdate script $AUA_SCRIPT_NAME from service"
"$UTIL_HOME/bin/remove-service.sh" $AUA_SCRIPT_NAME

# -------------------------- Finished Uninstallation ---------------------------

echo "Mindtime Online Backup Pro Manager uninstall procedure is complete!"
echo "It is now safe to remove files from $APP_HOME"

exit 0
